Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.util.help
Class ValueItem

    java.lang.Object
      avrora.util.help.ValueItem

All Implemented Interfaces:
  HelpItem

public class ValueItem
extends java.lang.Object
implements HelpItem

The `ValueItem` method represents a help item that is used in a list. It represents a help item for a possible value assignment to a specific option.

Field Summary
`java.lang.String` | `help`
`int` | `indent`
`java.lang.String` | `optname`
`java.lang.String` | `optvalue`

Constructor Summary
`ValueItem(int indent, java.lang.String optname, java.lang.String optvalue, java.lang.String help)` The constructor for the `ValueItem` class creates a new instance of this help item for the specified option and option value, with the given help text.

Method Summary
`java.lang.String` | `getHelp()` The `getHelp()` method returns a help string for this help item.
`void` | `printHelp()` The `printHelp()` method prints out a well-formatted help paragraph for this option and its value, containing the specified help text.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### indent

    public final int indent

### optname

    public final java.lang.String optname

### optvalue

    public final java.lang.String optvalue

### help

    public final java.lang.String help

Constructor Detail

### ValueItem

    public ValueItem(int indent,
                     java.lang.String optname,
                     java.lang.String optvalue,
                     java.lang.String help)

  The constructor for the `ValueItem` class creates a new instance of this help item for the specified option and option value, with the given help text.

Parameters:
  `indent` - the number of spaces to indent when printing to the terminal
  `optname` - the name of the option
  `optvalue` - the value of the option
  `help` - the help text for this option

Method Detail

### getHelp

    public java.lang.String getHelp()

  The `getHelp()` method returns a help string for this help item.

  Specified by:
    `getHelp` in interface `HelpItem`
  Returns:
    a help string

### printHelp

    public void printHelp()

  The `printHelp()` method prints out a well-formatted help paragraph for this option and its value, containing the specified help text.

  Specified by:
    `printHelp` in interface `HelpItem`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD